Signatures

Envelope Send

GET
/signatures/envelope/{envelopeId}/send

Sends a created envelope to its designated recipients.

  • The envelope is identified using the envelopeId path parameter.
  • Once sent, recipients receive email notifications to review and sign the documents contained within the envelope. No request body - validates and sends the already-persisted draft. Sender-only (must be the envelope's creator); no tid/recipient access. Only works on envelopes currently in Draft status.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

envelopeId*string

The unique identifier of the envelope that you want to send. This ID is returned when an envelope is initially created via the /signatures/envelope/create endpoint. It is used to reference the specific envelope containing documents, recipients, and fields that are ready to be dispatched for digital signing.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/signatures/envelope/string/send"
{  "result": {    "statusCode": 200,    "message": "OK",    "data": {      "envelope": {        "id": "string",        "message": "string"      }    }  },  "origin": "string",  "dateTime": "string",  "consumption": [    {      "dimension": "string",      "value": 0    }  ],  "userId": "string"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create",  "dateTime": "2026-07-20T12:00:00.0000000+00:00"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create",  "dateTime": "2026-07-20T12:00:00.0000000+00:00"}